Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 2425)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 2426)
@@ -72,7 +72,7 @@
 	/**
 	 * Alternative nodes to look up when getting a preference.
 	 */
-	public static ArrayList<String> alternativeNodesQualifiers = new ArrayList<String>();
+	public static ArrayList<String> alternativeNodesQualifiers = new ArrayList<>();
 	
 	
 	// TXMResult internal parameters, essentially for Links and Persistence
@@ -1286,7 +1286,7 @@
 	
 	public static HashMap<String, Object> getKeysAndValuesAsMap(IScopeContext scope, String nodePath) {
 		
-		HashMap<String, Object> str = new HashMap<String, Object>();
+		HashMap<String, Object> str = new HashMap<>();
 		
 		IEclipsePreferences preferences = scope.getNode(nodePath);
 		
@@ -1367,37 +1367,8 @@
 	}
 	
 	
-	/**
-	 * Saves the local preferences to file.
-	 * 
-	 * @param result
-	 */
-	public static void flush(TXMResult result) {
-		Log.finest("TXMPreferences.flush(): Local preferences for object " + result.getParametersNodePath() + " saved to file.");
-		flush(result.getParametersNodePath());
-	}
 	
 	/**
-	 * Saves the local preferences to file.
-	 * 
-	 * @param result
-	 */
-	public static void flush(String nodePath) {
-		try {
-			preferencesRootNode.node(nodePath).flush();
-		}
-		catch (BackingStoreException e) {
-			e.printStackTrace();
-			Log.severe(e.getMessage());
-		}
-	}
-	
-	public void flush() {
-		TXMPreferences.flush(this.commandPreferencesNodeQualifier);
-	}
-	
-	
-	/**
 	 * Deletes the local node if exists and the associated .prefs persistence file.
 	 * 
 	 * @param result
@@ -1467,7 +1438,7 @@
 	public static ArrayList<String> getAllResultsNodePaths(String rootPath) {
 		Log.finest("TXMPreferences.getAllResultsNodePaths(): looking for nodes in path \"" + preferencesRootNode.node(rootPath) + "\".");
 		
-		ArrayList<String> nodePaths = new ArrayList<String>();
+		ArrayList<String> nodePaths = new ArrayList<>();
 		
 		try {
 			String[] nodesNames = preferencesRootNode.node(rootPath).childrenNames();
@@ -1844,6 +1815,41 @@
 		return false;
 	}
 	
+	
+	/**
+	 * Saves the preference node of the specified result into file.
+	 * 
+	 * @param result
+	 */
+	public static void flush(TXMResult result) {
+		Log.finest("TXMPreferences.flush(): Local preferences for object " + result.getParametersNodePath() + " saved to file.");
+		flush(result.getParametersNodePath());
+	}
+	
+	/**
+	 * Saves the specified node into file.
+	 * 
+	 * @param result
+	 */
+	public static void flush(String nodePath) {
+		try {
+			preferencesRootNode.node(nodePath).flush();
+		}
+		catch (BackingStoreException e) {
+			e.printStackTrace();
+			Log.severe(e.getMessage());
+		}
+	}
+	
+	/**
+	 * Saves the preference node of the current instance into file.
+	 * Generally the bundle id node path.
+	 */
+	public void flush() {
+		TXMPreferences.flush(this.commandPreferencesNodeQualifier);
+	}
+	
+	
 	// FIXME: this code is dedicated to dynamically retrieve the static field PREFERENCES_NODE of the runtime subclass and use it super class to avoid to pass it to all methods.
 	// eg. to use ProgressionPreferences.getBoolean("test") instead of TXMPreferences.getBoolean(ProgressionPreferences.PREFERENCES_NODE, "test")
 	// but it doesn"t work, need to continue the tests...
Index: tmp/org.txm.core/src/java/org/txm/utils/LogMonitor.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/utils/LogMonitor.java	(revision 2425)
+++ tmp/org.txm.core/src/java/org/txm/utils/LogMonitor.java	(revision 2426)
@@ -12,15 +12,16 @@
  *
  */
 public class LogMonitor implements IProgressMonitor {
-
+	
 	String monitorName;
+	
 	boolean cancel = false;
 	
 	/**
 	 * Un-named monitor
 	 */
 	public LogMonitor() {
-		this.monitorName = "M"+UUID.randomUUID();
+		this("M" + UUID.randomUUID());
 	}
 	
 	/**
@@ -34,42 +35,42 @@
 	
 	@Override
 	public void beginTask(String name, int totalWork) {
-		Log.fine(this.monitorName+" -> "+name+" "+totalWork);
+		Log.fine(this.monitorName + " -> " + name + " " + totalWork);
 	}
-
+	
 	@Override
 	public void done() {
 		// TODO Auto-generated method stub
 		
 	}
-
+	
 	@Override
 	public void internalWorked(double work) {
 		// TODO Auto-generated method stub
 		
 	}
-
+	
 	@Override
 	public boolean isCanceled() {
 		return cancel;
 	}
-
+	
 	@Override
 	public void setCanceled(boolean value) {
 		this.cancel = value;
 	}
-
+	
 	@Override
 	public void setTaskName(String name) {
-		Log.fine(this.monitorName+" -> task "+name);
+		Log.fine(this.monitorName + " -> task " + name);
 	}
-
+	
 	@Override
 	public void subTask(String name) {
-		Log.fine(this.monitorName+" -> subTask "+name);
+		Log.fine(this.monitorName + " -> subTask " + name);
 		
 	}
-
+	
 	@Override
 	public void worked(int work) {
 		// TODO Auto-generated method stub
